org.apache.xmlbeans

## Class SchemaIdentityConstraint.Ref

- java.lang.Object
- - org.apache.xmlbeans.SchemaComponent.Ref
  - - org.apache.xmlbeans.SchemaIdentityConstraint.Ref

Enclosing interface:
  SchemaIdentityConstraint

    public static final class SchemaIdentityConstraint.Ref
    extends SchemaComponent.Ref

Used to allow on-demand loading of identity constraints.

### Field Summary

### Fields inherited from class org.apache.xmlbeans.SchemaComponent.Ref

`_handle`

### Constructor Summary

Constructors
Constructor and Description
`Ref(SchemaIdentityConstraint idc)`
`Ref(SchemaTypeSystem system, String handle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SchemaIdentityConstraint` `get()`
`int` `getComponentType()`

### Methods inherited from class org.apache.xmlbeans.SchemaComponent.Ref

`getComponent, getTypeSystem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ref

    public Ref(SchemaIdentityConstraint idc)

#### Ref

    public Ref(SchemaTypeSystem system,
               String handle)

### Method Detail

#### getComponentType

    public final int getComponentType()

Specified by:
  `getComponentType` in class `SchemaComponent.Ref`

#### get

    public final SchemaIdentityConstraint get()